# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# Set build mode

%define with_groovy %{!?_with_groovy:0}%{?_with_groovy:1}
%define without_groovy %{?_with_groovy:0}%{!?_with_groovy:1}

%define with_tests %{!?_without_tests:1}%{?_without_tests:0}
%define without_tests %{?_without_tests:1}%{!?_without_tests:0}

%define eclipseplugdir %{_datadir}/eclipse/plugins
%define codegenplugindir %{eclipseplugdir}/Axis2_Codegen_Wizard_1.2.0
%define sarchiverplugindir %{eclipseplugdir}/Axis_Service_Archiver_1.0.0

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

# If you don't want to build with maven, and use straight ant instead,
# give rpmbuild option '--without maven'

%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}

%define section    free

Name:          axis2
Version:       1.2
Release:       1jpp
Epoch:         0
Summary:       A SOAP implementation in Java
License:       Apache Software License
Group:         Development/Libraries/Java
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:%{_vendor}}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
Url:           http://ws.apache.org/%{name}/

#svn export http://svn.apache.org/repos/asf/webservices/axis2/tags/java/v1.2/ axis2
Source0:       %{name}-%{version}.tar.gz

Source1:        %{name}-settings.xml
Source2:        %{name}-maven2-jpp-depmap.xml
Source3:        %{name}-maven1-jpp-depmap.xml
Source4:        %{name}-pom-maven2jpp-mapdeps.xsl
Source5:        %{name}-jpp-nogroovy-depmap.xml
Source8:        %{name}-samples.pom 
Source9:        %{name}-soapmonitor.pom
Source11:       %{name}-modules-adb-build.xml
Source12:       %{name}-modules-adb-codegen-build.xml
Source13:       %{name}-modules-addressing-build.xml
Source14:       %{name}-modules-codegen-build.xml
Source15:       %{name}-modules-integration-build.xml
Source16:       %{name}-modules-java2wsdl-build.xml
Source17:       %{name}-modules-jibx-build.xml
Source18:       %{name}-modules-json-build.xml
Source19:       %{name}-modules-kernel-generated-build.xml
Source20:       %{name}-modules-mtompolicy-build.xml
Source21:       %{name}-modules-parent-build.xml
Source22:       %{name}-modules-ping-build.xml
Source23:       %{name}-modules-samples-generated-build.xml
Source24:       %{name}-modules-spring-build.xml
Source25:       %{name}-modules-tool-ant-plugin-build.xml
Source26:       %{name}-modules-tool-eclipse-codegen-plugin-build.xml
Source27:       %{name}-modules-tool-eclipse-service-plugin-build.xml
Source28:       %{name}-modules-xmlbeans-build.xml
Source30:       %{name}-modules-integration-generated-build.xml
Source31:       %{name}-modules-soapmonitor-build.xml
Source32:       %{name}-war-jar-build.xml
Source33:       %{name}-modules-tool-generated-build.xml


Patch0:         axis2-pom_xml.patch
Patch1:         axis2-nogroovy.patch
Patch2:         axis2-etc-project_xml.patch
Patch3:         axis2-modules-parent-pom_xml.patch
Patch4:         axis2-modules-kernel-pom_xml.patch
Patch5:         axis2-modules-jibx-pom_xml.patch
Patch6:         axis2-modules-json-pom_xml.patch
Patch7:         axis2-modules-eclipse-codegen-pom_xml.patch
Patch8:         axis2-modules-eclipse-service-pom_xml.patch
Patch9:         axis2-modules-eclipse-service-WSDL2CodeMojo.patch
Patch10:        axis2-FastInfosetTest.patch
Patch11:        axis2-modules-fastinfoset-pom_xml.patch
Patch12:        axis2-modules-samples-maven_xml.patch
Patch13:        axis2-modules-integration-pom_xml.patch
Patch14:        axis2-samples-databinding-build.patch
Patch15:        axis2-modules-kernel-nomaven-j2secbuild.patch
Patch16:        axis2-maven_xml.patch



BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  java-devel
BuildRequires:  ant >= 0:1.6.5
%if %{with_maven}
BuildRequires:  maven2 >= 0:2.0.4-10jpp
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven >= 0:1.1
BuildRequires:  maven-plugin-test
BuildRequires:  maven-plugin-multiproject
BuildRequires:  maven-plugin-itest
%endif
BuildRequires:  activemq3
BuildRequires:  annogen >= 0:0.1.1
BuildRequires:  ws-commons-axiom >= 0:1.2.4
BuildRequires:  backport-util-concurrent >= 0:2.1
BuildRequires:  bcel >= 0:5.1
BuildRequires:  wstx >= 0:3.2.1
BuildRequires:  bea-stax-api
BuildRequires:  geronimo-jms-1.1-api >= 0:1.0.1
BuildRequires:  jakarta-commons-codec >= 0:1.3
BuildRequires:  jakarta-commons-fileupload >= 0:1.1.1
BuildRequires:  jakarta-commons-httpclient >= 0:3.0
BuildRequires:  jakarta-commons-io >= 0:1.2
BuildRequires:  jakarta-commons-logging >= 0:1.0.4
BuildRequires:  jakarta-httpcore >= 0:4.0 
BuildRequires:  jaxen >= 0:1.1
BuildRequires:  jettison >= 0:1.0
BuildRequires:  jibx >= 0:1.1.5
BuildRequires:  junit >= 0:3.8.2
BuildRequires:  log4j >= 0:1.2.14
BuildRequires:  ws-commons-neethi >= 0:2.0.1
#neutral?# BuildRequires:  tomcat5-servlet-2.4-api >= 5.5.17
BuildRequires:  geronimo-servlet-2.4-api
BuildRequires:  servletapi4
BuildRequires:  spring-beans >= 0:1.2.7
BuildRequires:  spring-context >= 0:1.2.7
BuildRequires:  spring-core >= 0:1.2.7
BuildRequires:  spring-web >= 0:1.2.7
BuildRequires:  sun-jaf >= 0:1.1
BuildRequires:  sun-mail >= 0:1.4
BuildRequires:  ws-commons-XmlSchema >= 0:1.3.1
BuildRequires:  ws-woden >= 0:1.0
BuildRequires:  ws-jaxme >= 0:0.5.2
BuildRequires:  wsdl4j >= 0:1.6.2
BuildRequires:  xalan-j2 >= 2.7.0
BuildRequires:  xerces-j2 >= 2.7.1
BuildRequires:  xmlbeans >= 0:2.1.0
BuildRequires:  xml-commons-jaxp-1.3-apis >= 0:1.3.03
BuildRequires:  xmlunit >= 0:1.0
BuildRequires:  xpp3 >= 0:1.1.3.8
# for  codegen and service-archiver plugins
BuildRequires:  eclipse-platform >= 0:3.2.0
BuildRequires:  eclipse-rcp >= 0:3.2.0
BuildRequires:  libswt3-gtk2

%if %{with_groovy}
BuildRequires:  groovy-jsr >= 0:1.0
%endif

Requires:       java
Requires:       jpackage-utils >= 0:1.7.2
Requires:       activemq3
Requires:       ant >= 0:1.6.5
Requires:       annogen >= 0:0.1.1
Requires:       ws-commons-axiom >= 0:1.2.4
Requires:       backport-util-concurrent >= 0:2.1
Requires:       bcel >= 0:5.1
Requires:       wstx >= 0:3.2.1
Requires:       bea-stax-api
Requires:       geronimo-jms-1.1-api >= 0:1.0.1
Requires:       jakarta-commons-codec >= 0:1.3
Requires:       jakarta-commons-fileupload >= 0:1.1.1
Requires:       jakarta-commons-httpclient >= 0:3.0
Requires:       jakarta-commons-io >= 0:1.2
Requires:       jakarta-commons-logging >= 0:1.0.4
Requires:       jakarta-httpcore >= 0:4.0 
Requires:       jaxen >= 0:1.1
Requires:       jettison >= 0:1.0
Requires:       jibx >= 0:1.1.5
Requires:       log4j >= 0:1.2.14
Requires:       ws-commons-neethi >= 0:2.0.1
Requires:       spring-beans >= 0:1.2.7
Requires:       spring-context >= 0:1.2.7
Requires:       spring-core >= 0:1.2.7
Requires:       spring-web >= 0:1.2.7
Requires:       sun-jaf >= 0:1.1
Requires:       sun-mail >= 0:1.4
#neutral?# Requires:       tomcat5-servlet-2.4-api >= 5.5.17
Requires:       geronimo-servlet-2.4-api
Requires:       servletapi4
Requires:       ws-commons-XmlSchema >= 0:1.3.1
Requires:       wsdl4j >= 0:1.6.2
Requires:       ws-jaxme >= 0:0.5.2
Requires:       ws-woden >= 0:1.0
Requires:       xalan-j2 >= 2.7.0
Requires:       xerces-j2 >= 2.7.1
Requires:       xmlbeans >= 0:2.1.0
Requires:       xml-commons-jaxp-1.3-apis >= 0:1.3.03
Requires:       xpp3 >= 0:1.1.3.8


%if %{gcj_support}
BuildRequires:    gnu-crypto
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description
Axis2 is an effort to re-design and totally re-implement both
Axis/Java and (eventually) Axis/C++ on a new architecture. 
Evolving from the now standard "handler chain" model which 
Axis1 pioneered, Axis2 is developing a more flexible pipeline 
architecture which can yet be managed and packaged in a more
organized manner. This new design acknowledges the maturing 
of the Web services space in terms of new protocols such as 
WS-ReliableMessaging, WS-Security and WS-Addressing that are 
built on top of the base SOAP system. At the time Axis1 was 
designed, while it was fully expected that other protocols 
such as WS-ReliableMessaging would be built on top of it, 
there was not a proper extension architecture defined to 
enable clean composition of such layers. Thus, one of the 
key motivations for Axis2 is to provide a clean and simple 
environment for like Apache Sandesha and Apache WSS4J to 
layer on top of the base SOAP system. Another driving force 
for Axis2 as well as the move away from RPC oriented Web 
services towards more document-oriented, message style 
asynchronous service interactions. The Axis2 project is 
centered on a new representation for SOAP messages called 
AXIOM (AXIs Object Model). AXIOM consists of two parts: a 
complete XML Infoset representation and a SOAP Infoset 
representation on top of that. The XML Infoset representa-
tion provides a JDOM-like simple API but is built on a
deferred model via a StAX-based (Streaming API for XML) 
pull parsing API. A key feature of AXIOM is that it allows 
one to stop building the XML tree and just access the pull 
stream directly; thus enabling both maximum flexibility 
and maximum performance. This approach allows us to 
support multiple levels of abstraction for consuming and 
offering Web services: using plain AXIOM, using generated 
code and statically data-bound data types and so on. At
the time of Axis1's design, RPC-style, synchronous, 
request-response interactions were the order of the day 
for Web services. Today service interactions are much more 
message-oriented and exploit many different message exchange 
patterns. The Axis2 engine architecture is careful to not 
build in any assumptions of request-response patterns to
ensure that it can be used easily to support arbitrary 
message exchange patterns.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Libraries/Java
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description javadoc
%{summary}.

%package webapp
Summary:        Webapp for %{name}
Group:          Development/libraries/java

%description webapp
%{summary}.

%package samples
Summary:        Samples for %{name}
Group:          Development/libraries/java
Requires:       axis2 = %{epoch}:%{version}-%{release}
Requires:       activemq3
Requires:       bea-stax-api
Requires:       jakarta-commons-logging >= 0:1.0.4
Requires:       spring-context >= 0:1.2.7
Requires:       sun-jaf >= 0:1.1
Requires:       ws-commons-axiom >= 0:1.2.4
Requires:       ws-commons-neethi >= 0:2.0.1
Requires:       ws-jaxme >= 0:0.5.2
Requires:       xml-commons-jaxp-1.3-apis >= 0:1.3.03

%description samples
%{summary}.

%package modules
Summary:        Modules for %{name}
Group:          Development/libraries/java
Requires:       axis2 = %{epoch}:%{version}-%{release}

%description modules
Modules (.mar files) for %{name}.

%package scripts
Summary:        Scripts for %{name}
Group:          Development/libraries/java
Requires:       axis2 = %{epoch}:%{version}-%{release}
Requires:       ws-commons-policy
Requires:       ws-commons-XmlSchema
%if %{with_groovy}
Requires:  groovy-jsr >= 0:1.0
%endif

%description scripts
%{summary}.

%package codegen-eclipse-plugin
Summary:        Codegen eclipse plugin for %{name}
Group:          Development/Libraries/Java
Requires(post): axis2 = %{epoch}:%{version}-%{release}
Requires(post): annogen
Requires(post): bea-stax-api
Requires(post): jakarta-commons-logging >= 0:1.0.4
Requires(post): log4j >= 0:1.2.8
Requires(post): sun-mail >= 0:1.4
Requires(post): ws-commons-axiom
Requires(post): ws-commons-neethi
Requires(post): ws-commons-XmlSchema
Requires(post): ws-woden
Requires(post): wsdl4j >= 0:1.6.2
Requires(post): wstx
Requires(post): xmlbeans >= 0:2.1.0

Requires:       eclipse-platform >= 0:3.2.0
Requires:       eclipse-rcp >= 0:3.2.0

%description codegen-eclipse-plugin
%{summary}.

%package service-archiver-eclipse-plugin
Summary:        Service archiver eclipse plugin for %{name}
Group:          Development/Libraries/Java
Requires(post): axis2 = %{epoch}:%{version}-%{release}
Requires:       eclipse-platform >= 0:3.2.0
Requires:       eclipse-rcp >= 0:3.2.0

%description service-archiver-eclipse-plugin
%{summary}.

%if %{with_maven}
%package maven2-plugins
Summary:        Maven2 plugins for %{name}
Group:          Development/Libraries/Java

%description maven2-plugins
%{summary}.
%endif

%if %{with_maven}
%package manual
Summary:        Manual for %{name}
Group:          Development/Libraries/Java

%description manual
%{summary}.
%endif

%prep
%setup -q -n %{name}
cp %{SOURCE1} settings.xml
cp %{SOURCE8} modules/samples/pom.xml
cp %{SOURCE9} modules/soapmonitor/pom.xml

# Remove provided binaries
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.zip" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

JAVA_VER=$(java -version 2>&1 | grep 'java version' | cut -d\" -f2)
JAVA5="$(expr $JAVA_VER : '\(.....\).*')"
if [ "x$JAVA5" != "x1.5.0" ]; then
%patch0 -b .sav
fi

%if %{without_groovy}
%patch1 -b .withgroovy

# Remove groovy dependent code
rm -f modules/integration/test/org/apache/axis2/groovy/GroovyServiceTest.java
rm -rf modules/samples/src/sample/groovy/
rm -rf modules/samples/deprecated/groovy
%endif

%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav
%patch11 -b .sav
%if %{with_groovy}
%patch12 -b .sav
%endif
%patch13 -b .sav
%patch14 -b .sav
%if %{without_maven}
%patch15 -b .sav
%endif
%patch16 -b .sav

%build

[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL/ECLIPSE
pushd $MAVEN_REPO_LOCAL/ECLIPSE
ln -sf %{_datadir}/eclipse/plugins/org.eclipse.jface_*.jar \
                                    org.eclipse.jface.jar
ln -sf %{_datadir}/eclipse/plugins/org.eclipse.equinox.common_*.jar \
                                    org.eclipse.equinox.common.jar
ln -sf %{_datadir}/eclipse/plugins/org.eclipse.swt_*.jar \
                                    org.eclipse.swt.jar
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.swt.*.jar \
                                    org.eclipse.swt.arch.jar
ln -sf %{_datadir}/eclipse/plugins/org.eclipse.core.runtime_*.jar \
                                    org.eclipse.core.runtime.jar
ln -sf %{_datadir}/eclipse/plugins/org.eclipse.core.jobs_*.jar \
                                    org.eclipse.core.jobs.jar
ln -sf %{_datadir}/eclipse/plugins/org.eclipse.core.resources_*.jar \
                                    org.eclipse.core.resources.jar
ln -sf %{_datadir}/eclipse/plugins/org.eclipse.osgi_*.jar \
                                    org.eclipse.osgi.jar
ln -sf %{_datadir}/eclipse/plugins/org.eclipse.ui.ide_*.jar \
                                    org.eclipse.ui.ide.jar
ln -sf %{_datadir}/eclipse/plugins/org.eclipse.ui.workbench_*.jar \
                                    org.eclipse.ui.workbench.jar
popd

# FIXME: these need activemq4
rm -f modules/integration/test/org/apache/axis2/jms/JMSEchoRawXMLOneWayTest.java
rm -f modules/integration/test/org/apache/axis2/jms/JMSEchoRawXMLTest.java

%if %{with_maven}
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

export MAVEN_SETTINGS=$(pwd)/settings.xml
mkdir -p ${MAVEN_REPO_LOCAL}/JPP/maven2/default_poms/
ln -sf $(build-classpath qdox15) ${MAVEN_REPO_LOCAL}/JPP/qdox.jar

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

mkdir -p $MAVEN_REPO_LOCAL/org.apache.axis2
mkdir dummy
jar cf $MAVEN_REPO_LOCAL/org.apache.axis2/axis2-xmlbeans.jar dummy

pushd modules/tool/axis2-mar-maven-plugin
mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven2.jpp.mode=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc
popd
mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/
cp $MAVEN_REPO_LOCAL/org/apache/axis2/axis2-mar-maven-plugin/1.2/axis2-mar-maven-plugin-1.2.pom \
   $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.apache.axis2-axis2-mar-maven-plugin.pom
mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven2.jpp.mode=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc

mkdir -p .maven/repository/org.apache.axis2/jars
cp modules/kernel/target/axis2-kernel-1.2.jar \
      .maven/repository/org.apache.axis2/jars
cp modules/addressing/target/addressing-1.2.mar \
      .maven/repository/org.apache.axis2/jars/axis2-addressing-1.2.jar
cp modules/adb/target/axis2-adb-1.2.jar \
      .maven/repository/org.apache.axis2/jars
cp modules/java2wsdl/target/axis2-java2wsdl-1.2.jar \
      .maven/repository/org.apache.axis2/jars
cp modules/codegen/target/axis2-codegen-1.2.jar \
      .maven/repository/org.apache.axis2/jars
cp modules/adb-codegen/target/axis2-adb-codegen-1.2.jar \
      .maven/repository/org.apache.axis2/jars
cp modules/spring/target/axis2-spring-1.2.jar \
      .maven/repository/org.apache.axis2/jars
cp modules/xmlbeans/target/axis2-xmlbeans-1.2.jar \
      .maven/repository/org.apache.axis2/jars

for p in $(find . -name project.xml); do
    cp $p $p.orig
    /usr/bin/saxon -o $p $p.orig %{SOURCE4} map=%{SOURCE3}
    rm -f $p.orig
done
%if %{without_groovy}
  for module in integration samples; do
    cp modules/$module/project.xml{,.orig}
    /usr/bin/saxon -o modules/$module/project.xml modules/$module/project.xml.orig %{SOURCE4} map=%{SOURCE5}
    rm -f modules/$module/project.xml.orig
  done
%endif 

export MAVEN_HOME_LOCAL=$(pwd)/.maven
pushd modules/soapmonitor
maven -e \
      -Dmaven.repo.remote=file:/usr/share/maven/repository \
      jar:install javadoc
popd
pushd modules/samples
maven -e \
      -Dmaven.repo.remote=file:/usr/share/maven/repository \
      jar:install javadoc
popd
pushd modules/tool
maven -e \
      -Dmaven.repo.remote=file:/usr/share/maven/repository \
      jar:install javadoc
popd
pushd modules/integration
maven -e \
      -Dmaven.repo.remote=file:/usr/share/maven/repository \
      jar:install javadoc
popd
maven -e \
      -Dmaven.repo.remote=file:/usr/share/maven/repository \
      war site

%else
pushd modules/java2wsdl
cp %{SOURCE16} build.xml
export CLASSPATH=$(build-classpath \
annogen \
bea-stax-api \
commons-logging \
jaxen \
sun-mail-monolithic \
ws-commons-axiom-api \
ws-commons-axiom-impl \
ws-commons-XmlSchema \
wstx/wstx-asl \
)

ant -Dbuild.sysclasspath=only jar javadoc
popd
pushd modules/kernel
cp %{SOURCE19} generated-build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
jakarta-httpcore \
servletapi4 \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
CLASSPATH=$CLASSPATH:target/test-resources/java2sec/more/MorePermission.jar
CLASSPATH=$CLASSPATH:target/test-resources/java2sec/less/LessPermission.jar


ant -Dbuild.sysclasspath=only -f generated-build.xml jar javadoc
popd

pushd modules/adb
cp %{SOURCE11} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-logging \
sun-jaf \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
wsdl4j \
wstx/wstx-asl \
xmlunit \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/codegen
cp %{SOURCE14} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
jakarta-httpcore \
jaxen \
jaxme/jaxme2 \
jaxme/jaxmejs \
jaxme/jaxmexs \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xmlbeans/xbean \
xmlunit \
)
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:../adb/target/axis2-adb-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/adb-codegen
cp %{SOURCE12} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
jakarta-httpcore \
jaxen \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xmlbeans/xbean \
xmlunit \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:../adb/target/axis2-adb-1.2.jar
CLASSPATH=$CLASSPATH:../codegen/target/axis2-codegen-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/schema/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/addressing
cp %{SOURCE13} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
jakarta-httpcore \
jaxen \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/jibx
cp %{SOURCE17} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bcel \
bea-stax-api \
commons-codec \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
jakarta-httpcore \
jaxen \
jibx/bind \
jibx/run \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xmlbeans/xbean \
xpp3 \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:../adb/target/axis2-adb-1.2.jar
CLASSPATH=$CLASSPATH:../codegen/target/axis2-codegen-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/json
cp %{SOURCE18} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-codec \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
jakarta-httpcore \
jaxen \
jettison \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xmlunit \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/mtompolicy
cp %{SOURCE20} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-codec \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
jakarta-httpcore \
jaxen \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xmlunit \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/ping
cp %{SOURCE22} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-codec \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
jakarta-httpcore \
jaxen \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xmlunit \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/spring
cp %{SOURCE24} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-codec \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
geronimo-servlet-2.4-api \
jakarta-httpcore \
jaxen \
spring/beans \
spring/context \
spring/core \
spring/web \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xmlunit \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/xmlbeans
cp %{SOURCE28} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-codec \
commons-fileupload \
commons-httpclient \
commons-logging \
geronimo-jms-1.1-api \
jakarta-httpcore \
jaxen \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xmlbeans/xbean \
xmlunit \
)
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:../codegen/target/axis2-codegen-1.2.jar
CLASSPATH=$CLASSPATH:../adb/target/axis2-adb-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modules/soapmonitor
cp %{SOURCE31} build.xml
export CLASSPATH=$(build-classpath \
bea-stax-api \
commons-logging \
servletapi4 \
ws-commons-axiom-api \
ws-commons-axiom-impl \
ws-commons-neethi \
)

CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

mkdir -p target/lib
export ECLIPSE_HOME=$MAVEN_REPO_LOCAL/ECLIPSE
pushd modules/tool/

export CLASSPATH=$(build-classpath \
ws-commons-axiom-impl \
wsdl4j \
)
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.jface.jar
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.equinox.common.jar
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.swt.jar
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.swt.arch.jar
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.core.runtime.jar
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.core.jobs.jar
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.core.resources.jar
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.osgi.jar
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.ui.ide.jar
CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/org.eclipse.ui.workbench.jar
CLASSPATH=$CLASSPATH:../codegen/target/axis2-codegen-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar

ant -Dbuild.sysclasspath=only generate-plugins

mkdir axis2-eclipse-codegen-plugin/target
cp target/eclipse_plugins/plugin/Axis2_Codegen_Wizard_1.2.0/Axis2CodegenWizard.jar axis2-eclipse-codegen-plugin/target/axis2.eclipse.codegen.plugin-1.2.jar
mkdir axis2-eclipse-service-plugin/target
cp target/eclipse_plugins/plugin/Axis2_Service_Archiver_1.0.0/Axis_Service_Archiver.jar axis2-eclipse-service-plugin/target/axis2.eclipse.service.plugin-%{version}.jar

pushd axis2-ant-plugin
cp %{SOURCE25} build.xml
export CLASSPATH=$(build-classpath \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-codec \
commons-fileupload \
commons-httpclient \
commons-logging \
jakarta-httpcore \
jaxen \
geronimo-jms-1.1-api \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xmlbeans/xbean \
)
CLASSPATH=$CLASSPATH:../../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:../../codegen/target/axis2-codegen-1.2.jar
CLASSPATH=$CLASSPATH:../../adb-codegen/target/axis2-adb-codegen-1.2.jar
CLASSPATH=$CLASSPATH:../../adb/target/axis2-adb-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes

ant -Dbuild.sysclasspath=only jar javadoc
popd

cp %{SOURCE33} generated-build.xml
export CLASSPATH=
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:../codegen/target/axis2-codegen-1.2.jar
ant -Dbuild.sysclasspath=only -f generated-build.xml jar javadoc

popd

mkdir modules/lib
cp modules/java2wsdl/target/axis2-java2wsdl-1.2.jar modules/lib
cp modules/codegen/target/axis2-codegen-1.2.jar modules/lib
cp modules/kernel/target/axis2-kernel-1.2.jar modules/lib
cp modules/adb-codegen/target/axis2-adb-codegen-1.2.jar modules/lib
cp modules/adb/target/axis2-adb-1.2.jar modules/lib
build-jar-repository -s -p modules/lib \
sun-jaf \
wsdl4j \
commons-logging \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-neethi \
xml-commons-jaxp-1.3-apis \

export AXIS2_HOME=$(pwd)/modules
export CLASSPATH=""
#CLASSPATH=$CLASSPATH:$(pwd)/modules/java2wsdl/target/axis2-java2wsdl-1.2.jar
#CLASSPATH=$CLASSPATH:$(pwd)/modules/kernel/target/axis2-kernel-1.2.jar
#CLASSPATH=$CLASSPATH:$(pwd)/modules/codegen/target/axis2-codegen-1.2.jar
#CLASSPATH=$CLASSPATH:$(pwd)/modules/adb-codegen/target/axis2-adb-codegen-1.2.jar
#CLASSPATH=$CLASSPATH:$(pwd)/modules/adb/target/axis2-adb-1.2.jar
#CLASSPATH=$CLASSPATH:$(pwd)/modules/spring/target/axis2-spring-1.2.jar
pushd modules/samples
export CLASSPATH=../../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:$(build-classpath ws-commons-axiom-api)

pushd version/
  ant -Dbuild.sysclasspath=only
popd
pushd yahoorestsearch/
  ant -Dbuild.sysclasspath=only compile
popd
mkdir -p target/META-INF
cp ../../LICENSE.txt target/META-INF
cp ../../NOTICE.txt target/META-INF
jar cf target/%{name}-samples-%{version}.jar -C version/build/classes sample
jar uf target/%{name}-samples-%{version}.jar -C yahoorestsearch/build/classes sample
jar uf target/%{name}-samples-%{version}.jar -C target META-INF
popd


pushd modules/integration
cp %{SOURCE15} build.xml
cp %{SOURCE30} generated-build.xml
export CLASSPATH=$(build-classpath \
annogen \
activemq3 \
backport-util-concurrent \
bea-stax-api \
commons-codec \
commons-fileupload \
commons-httpclient \
commons-logging \
groovy-jsr-all \
jakarta-httpcore \
jaxen \
junit \
log4j \
spring/beans \
spring/context \
spring/core \
spring/web \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-dom \
ws-commons-axiom-impl \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xalan-j2 \
xerces-j2 \
xml-commons-jaxp-1.3-apis \
xmlbeans/xbean \
xmlunit \
)

CLASSPATH=$CLASSPATH:../tools/target/axis2-tools-1.2.jar
CLASSPATH=$CLASSPATH:../samples/target/axis2-samples-1.2.jar
CLASSPATH=$CLASSPATH:../addressing/target/axis2-addressing-1.2.jar
CLASSPATH=$CLASSPATH:../java2wsdl/target/axis2-java2wsdl-1.2.jar
CLASSPATH=$CLASSPATH:../kernel/target/axis2-kernel-1.2.jar
CLASSPATH=$CLASSPATH:../codegen/target/axis2-codegen-1.2.jar
CLASSPATH=$CLASSPATH:../adb-codegen/target/axis2-adb-codegen-1.2.jar
CLASSPATH=$CLASSPATH:../adb/target/axis2-adb-1.2.jar
CLASSPATH=$CLASSPATH:../spring/target/axis2-spring-1.2.jar
CLASSPATH=$CLASSPATH:../xmlbeans/target/axis2-xmlbeans-1.2.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes:target/test-resources
CLASSPATH=$CLASSPATH:target/perf/build/classes:target/perf2/build/classes
CLASSPATH=$CLASSPATH:test-resources:target/perf/resources:target/perf2/resources

ant -f generated-build.xml -Dbuild.sysclasspath=only jar
#ant -Dbuild.sysclasspath=only
popd

###Source10:       %{name}-codegen-eclipse-plugin-build.xml
##Source11:       %{name}-modules-adb-build.xml
##Source12:       %{name}-modules-adb-codegen-build.xml
##Source13:       %{name}-modules-addressing-build.xml
##Source14:       %{name}-modules-codegen-build.xml
#Source15:       %{name}-modules-integration-build.xml
##Source16:       %{name}-modules-java2wsdl-build.xml
##Source17:       %{name}-modules-jibx-build.xml
##Source18:       %{name}-modules-json-build.xml
##Source19:       %{name}-modules-kernel-build.xml
##Source20:       %{name}-modules-mtompolicy-build.xml
#Source21:       %{name}-modules-parent-build.xml
##Source22:       %{name}-modules-ping-build.xml
##Source23:       %{name}-modules-samples-generated-build.xml
##Source24:       %{name}-modules-spring-build.xml
##Source25:       %{name}-modules-tool-ant-plugin-build.xml
###Source26:       %{name}-modules-tool-eclipse-codegen-plugin-build.xml
###Source27:       %{name}-modules-tool-eclipse-service-plugin-build.xml
##Source28:       %{name}-modules-xmlbeans-build.xml
###Source29:       %{name}-service-archiver-eclipse-plugin-build.xml
#Source30:       %{name}-modules-integration-generated-build.xml
#Source31:       %{name}-modules-soapmonitor-build.xml
#Source32:       %{name}-war-build.xml
#Source33:       %{name}-modules-tool-build.xml
##[INFO] Reactor build order:
##[INFO]   Apache Axis 2.0 - Parent
##[INFO]   Apache Axis 2.0 - tool - MAR Maven Plugin
##[INFO]   Apache Axis 2.0 - Java2WSDL
##[INFO]   Apache Axis 2.0 - Kernel
##[INFO]   Apache Axis 2.0 - Data Binding
##[INFO]   Apache Axis 2.0 - Code Generation
##[INFO]   Apache Axis 2.0 - ADB Codegen
##[INFO]   Apache Axis 2.0 - Addressing
##[INFO]   Apache Axis 2.0 - JiBX Data Binding
##[INFO]   Apache Axis 2.0 - JSON
##[INFO]   Apache Axis 2.0 - MTOM Policy
##[INFO]   Apache Axis 2.0 - Ping
##[INFO]   Apache Axis 2.0 - spring
##[INFO]   Apache Axis 2.0 - tool - AAR Maven Plugin
##[INFO]   Apache Axis 2.0 - tool - Ant Plugin
##[INFO]   Apache Axis 2.0 - tool - Eclipse Codegen Plugin
##[INFO]   Apache Axis 2.0 - tool - Eclipse service Plugin
##[INFO]   Apache Axis 2.0 - tool - Java2WSDL Maven Plugin
##[INFO]   Apache Axis 2.0 - XMLBeans Data Binding
##[INFO]   Apache Axis 2.0 - tool - WSDL2Code Maven Plugin
##[INFO]   Apache Axis 2.0 - Root

cp %{SOURCE32} war-jar-build.xml
mkdir -p target/temp/war/lib
build-jar-repository -s -p target/temp/war/lib \
annogen \
backport-util-concurrent \
bea-stax-api \
commons-codec \
commons-fileupload \
commons-httpclient \
commons-io \
commons-logging \
jakarta-httpcore \
jaxen \
jibx/run \
spring/core \
spring/beans \
spring/context \
spring/web \
sun-jaf \
sun-mail-monolithic \
ws-commons-XmlSchema \
ws-commons-axiom-api \
ws-commons-axiom-impl \
ws-commons-axiom-dom \
ws-commons-neethi \
ws-woden \
wsdl4j \
wstx/wstx-asl \
xalan-j2 \
xerces-j2 \
xml-commons-jaxp-1.3-apis \
xmlbeans/xbean \

cp modules/java2wsdl/target/axis2-java2wsdl-1.2.jar target/temp/war/lib
cp modules/kernel/target/axis2-kernel-1.2.jar target/temp/war/lib
cp modules/adb/target/axis2-adb-1.2.jar target/temp/war/lib
cp modules/adb-codegen/target/axis2-adb-codegen-1.2.jar target/temp/war/lib
cp modules/json/target/axis2-json-1.2.jar target/temp/war/lib
cp modules/codegen/target/axis2-codegen-1.2.jar target/temp/war/lib
cp modules/xmlbeans/target/axis2-xmlbeans-1.2.jar target/temp/war/lib
cp modules/spring/target/axis2-spring-1.2.jar target/temp/war/lib
cp modules/jibx/target/axis2-jibx-1.2.jar target/temp/war/lib
cp modules/soapmonitor/target/axis2-soapmonitor-1.2.jar target/temp/war/lib

mkdir -p target/temp/war/toWEB-INF/modules
cp modules/soapmonitor/target/soapmonitor-1.2.mar \
                                    target/temp/war/toWEB-INF/modules
cp modules/addressing/target/addressing-1.2.mar \
                                    target/temp/war/toWEB-INF/modules
echo > target/temp/war/toWEB-INF/modules/modules.list <<EOT
addressing-1.2.mar
soapmonitor-1.2.mar
EOT

mkdir -p target/temp/war/toWEB-INF/services
cp modules/samples/version/build/version.aar \
                                 target/temp/war/toWEB-INF/services
echo version.aar > target/temp/war/toWEB-INF/services/services.list


mkdir -p target/temp/war/toWEB-INF/conf
cp modules/kernel/conf/axis2.xml target/temp/war/toWEB-INF/conf

mkdir -p target/temp/war/axis2-web
cp -r modules/webapp/* target/temp/war/axis2-web
rm target/temp/war/axis2-web/project.xml
rm -rf target/temp/war/axis2-web/conf

ant -Dbuild.sysclasspath=only -f war-jar-build.xml war jar

%endif



%install
rm -rf $RPM_BUILD_ROOT

### Jar files

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
%if %{with_maven}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%endif

pushd modules
  %add_to_maven_depmap org.apache.%{name} %{name}-parent %{version} JPP.%{name} parent
%if %{with_maven}
  install -m 644 parent/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%endif
  for module in    adb-codegen \
                   adb \
                   codegen \
                   integration \
                   java2wsdl \
                   jibx \
                   json \
                   kernel \
                   mtompolicy \
                   samples \
                   soapmonitor \
                   spring \
                   xmlbeans ; do
    install -m 644 $module/target/%{name}-$module-%{version}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}/$module-%{version}.jar
  %add_to_maven_depmap org.apache.%{name} %{name}-$module %{version} JPP.%{name} $module
%if %{with_maven}
  install -m 644 $module/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-$module.pom
%endif
  done
  pushd tool
    install -m 644 target/%{name}-tools-%{version}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-%{version}.jar

    install -m 644 %{name}-ant-plugin/target/%{name}-ant-plugin-%{version}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}/ant-plugin-%{version}.jar
%if %{with_maven}
    install -m 644 %{name}-ant-plugin/pom.xml \
      $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven2-ant-plugin.pom
%endif
    %add_to_maven_depmap org.apache.%{name} %{name}-ant-plugin %{version} JPP.%{name} ant-plugin

%if %{with_maven}
    install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/maven2
    for mp in aar-maven-plugin \
              mar-maven-plugin \
              wsdl2code-maven-plugin ; do
      install -m 644 %{name}-${mp}/target/%{name}-${mp}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/maven2/${mp}-%{version}.jar
      install -m 644 %{name}-${mp}/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven2-$mp.pom
      %add_to_maven_depmap org.apache.%{name} %{name}-$mp %{version} JPP.%{name} $mp
    done
%endif

    install -m 644 %{name}-eclipse-codegen-plugin/target/%{name}.eclipse.codegen.plugin-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/eclipse.codegen.plugin-%{version}.jar
    install -m 644 %{name}-eclipse-service-plugin/target/%{name}.eclipse.service.plugin-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/eclipse.service.plugin-%{version}.jar
  popd
popd
install -m 644 target/lib/%{name}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

# unversioned symlinks
pushd $RPM_BUILD_ROOT%{_javadir}
   for vjar in *.jar ; do
      jar=$(echo $vjar | sed s+-%{version}.jar+.jar+g)
      ln -fs $vjar $jar
   done
   pushd %{name}
      # compatibility symlinks wrt 1.0
      ln -fs kernel-%{version}.jar common-%{version}.jar
      ln -fs kernel-%{version}.jar core-%{version}.jar
      ln -fs kernel-%{version}.jar security-%{version}.jar
      for vjar in *.jar ; do
         jar=$(echo $vjar | sed s+-%{version}.jar+.jar+g)
         ln -fs $vjar $jar
      done
%if %{with_maven}
      pushd maven2
         for vjar in *.jar ; do
            jar=$(echo $vjar | sed s+-%{version}.jar+.jar+g)
            ln -fs $vjar $jar
         done
      popd
%endif
   popd
popd

### Mar files

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/modules
pushd modules
  install -m 644 addressing/target/addressing-%{version}.mar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/modules/addressing-%{version}.mar
  install -m 644 ping/target/ping-%{version}.mar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/modules/ping-%{version}.mar
  install -m 644 soapmonitor/target/soapmonitor-%{version}.mar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/modules/soapmonitor-%{version}.mar

  pushd $RPM_BUILD_ROOT%{_javadir}/%{name}/modules
      for vmar in *.mar ; do
         mar=$(echo $vmar | sed s+-%{version}.mar+.mar+g)
         ln -fs $vmar $mar
      done
  popd
popd


### Javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
for m in adb-codegen \
         adb \
         addressing \
         codegen \
         java2wsdl \
         jibx \
         json \
         kernel \
         mtompolicy \
         ping \
         spring \
         xmlbeans; do
    install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/$m
    cp -pr modules/$m/target/site/apidocs/* \
        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/$m
done
%if %{with_maven}
for t in axis2-aar-maven-plugin \
         axis2-aar-maven-plugin \
         axis2-ant-plugin \
         axis2-eclipse-codegen-plugin \
         axis2-eclipse-service-plugin \
         axis2-java2wsdl-maven-plugin \
         axis2-wsdl2code-maven-plugin; do
    install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/$t
    cp -pr modules/tool/$t/target/site/apidocs/* \
                      $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/$t
done
%endif

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/soapmonitor
cp -pr modules/soapmonitor/target/docs/apidocs/* \
        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/soapmonitor
%if %{with_maven}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/tools
cp -pr modules/tool/target/docs/apidocs/* \
        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/tools
%endif

### Webapps
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp target/dist/axis2.war \
        $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/%{name}-%{version}.war
ln -s %{name}-%{version}.war $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/%{name}.war

cp -pr modules/samples $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

### Scripts
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}

install -p -m 0755 modules/tool/script/axis2server.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-server
install -p -m 0755 modules/tool/script/axis2.sh $RPM_BUILD_ROOT%{_bindir}/%{name}
install -p -m 0755 modules/tool/script/wsdl2java.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wsdl2java
install -p -m 0755 modules/tool/script/java2wsdl.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-java2wsdl

sed -i -e s:"export AXIS2_HOME=..":"export AXIS2_HOME=%{_javadir}/%{name}":g $RPM_BUILD_ROOT%{_bindir}/%{name}-server
sed -i -e s:"export AXIS2_HOME=..":"export AXIS2_HOME=%{_javadir}/%{name}":g $RPM_BUILD_ROOT%{_bindir}/%{name}
sed -i -e s:"export AXIS2_HOME=..":"export AXIS2_HOME=%{_javadir}/%{name}":g $RPM_BUILD_ROOT%{_bindir}/%{name}-wsdl2java
sed -i -e s:"export AXIS2_HOME=..":"export AXIS2_HOME=%{_javadir}/%{name}":g $RPM_BUILD_ROOT%{_bindir}/%{name}-java2wsdl

sed -i -e s:"for f in \$AXIS2_HOME/lib/\\*\\.jar":"for f in \$AXIS2_HOME/*.jar":g $RPM_BUILD_ROOT%{_bindir}/%{name}-server
sed -i -e s:"for f in \$AXIS2_HOME/lib/\\*\\.jar":"for f in \$AXIS2_HOME/*.jar":g $RPM_BUILD_ROOT%{_bindir}/%{name}
sed -i -e s:"for f in \$AXIS2_HOME/lib/\\*\\.jar":"for f in \$AXIS2_HOME/*.jar":g $RPM_BUILD_ROOT%{_bindir}/%{name}-wsdl2java
sed -i -e s:"for f in \$AXIS2_HOME/lib/\\*\\.jar":"for f in \$AXIS2_HOME/*.jar":g $RPM_BUILD_ROOT%{_bindir}/%{name}-java2wsdl

sed -i -e s:"export AXIS2_CLASSPATH":"ADDITIONAL_CLASSES=\$(build-classpath commons-logging log4j bea-stax-api bea-stax-ri neethi commons-httpclient)\nexport AXIS2_CLASSPATH=\${AXIS2_CLASSPATH}\:\${ADDITIONAL_CLASSES}":g $RPM_BUILD_ROOT%{_bindir}/%{name}-server
sed -i -e s:"export AXIS2_CLASSPATH":"ADDITIONAL_CLASSES=\$(build-classpath commons-logging log4j bea-stax-api bea-stax-ri neethi commons-httpclient)\nexport AXIS2_CLASSPATH=\${AXIS2_CLASSPATH}\:\${ADDITIONAL_CLASSES}":g $RPM_BUILD_ROOT%{_bindir}/%{name}
sed -i -e s:"export AXIS2_CLASSPATH":"ADDITIONAL_CLASSES=\$(build-classpath commons-logging log4j bea-stax-api bea-stax-ri neethi ws-commons-XmlSchema wsdl4j xmlbeans/xbean jalopy oro jdom)\nexport AXIS2_CLASSPATH=\${AXIS2_CLASSPATH}\:\${ADDITIONAL_CLASSES}":g $RPM_BUILD_ROOT%{_bindir}/%{name}-wsdl2java
sed -i -e s:"export AXIS2_CLASSPATH":"ADDITIONAL_CLASSES=\$(build-classpath commons-logging log4j bea-stax-api bea-stax-ri neethi ws-commons-XmlSchema wsdl4j xmlbeans/xbean jalopy oro jdom)\nexport AXIS2_CLASSPATH=\${AXIS2_CLASSPATH}\:\${ADDITIONAL_CLASSES}":g $RPM_BUILD_ROOT%{_bindir}/%{name}-java2wsdl

# Eclipse plugins
install -dm 0755 $RPM_BUILD_ROOT%{codegenplugindir}
%if %{with_maven}
cp -pr modules/tool/axis2-eclipse-codegen-plugin/target/plugin/Axis2_Codegen_Wizard_1.2.0/* $RPM_BUILD_ROOT%{codegenplugindir}/
%else
cp -pr modules/tool/target/eclipse_plugins/plugin/Axis2_Codegen_Wizard_1.2.0/* $RPM_BUILD_ROOT%{codegenplugindir}/
%endif

install -dm 0755 $RPM_BUILD_ROOT%{sarchiverplugindir}
%if %{with_maven}
cp -pr modules/tool/axis2-eclipse-service-plugin/target/plugin/Axis2_Service_Archiver_1.0.0/* $RPM_BUILD_ROOT%{sarchiverplugindir}/
%else
cp -pr modules/tool/target/eclipse_plugins/plugin/Axis2_Service_Archiver_1.0.0/* $RPM_BUILD_ROOT%{sarchiverplugindir}/
%endif

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm \
           --exclude /usr/share/axis2-1.2/axis2-1.2.war \
           --exclude /usr/share/java/axis2-1.2.jar

%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%post codegen-eclipse-plugin
(cd %{codegenplugindir}/lib
    build-jar-repository -s . \
             annogen \
             axis2/adb \
             axis2/adb-codegen \
             axis2/codegen \
             axis2/java2wsdl \
             axis2/kernel \
             bea-stax-api \
             commons-logging \
             log4j \
             sun-mail \
             ws-commons-axiom-api \
             ws-commons-axiom-dom \
             ws-commons-axiom-impl \
             ws-commons-neethi \
             ws-commons-XmlSchema \
             ws-woden \
             wstx/wstx-asl \
             wsdl4j \
             xmlbeans/xbean

)

%post service-archiver-eclipse-plugin
(cd %{sarchiverplugindir}/lib
    build-jar-repository -s . \
             axis2/adb \
             axis2/adb-codegen \
             axis2/codegen \
             axis2/java2wsdl \
             axis2/kernel \
             commons-logging \
             log4j \

)

%preun codegen-eclipse-plugin
rm -rf %{codegenplugindir}/lib

%preun service-archiver-eclipse-plugin
rm -rf %{sarchiverplugindir}/lib

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.txt release-notes.html
%dir %{_datadir}/%{name}-%{version}
%dir %{_javadir}/%{name}
%{_javadir}/%{name}*.jar
%{_javadir}/%{name}/adb*.jar
%{_javadir}/%{name}/ant-plugin*.jar
%{_javadir}/%{name}/codegen*.jar
%{_javadir}/%{name}/common*.jar
%{_javadir}/%{name}/core*.jar
%{_javadir}/%{name}/integration*.jar
%{_javadir}/%{name}/java2wsdl*.jar
%{_javadir}/%{name}/jibx*.jar
%{_javadir}/%{name}/json*.jar
%{_javadir}/%{name}/kernel*.jar
%{_javadir}/%{name}/mtompolicy*.jar
%{_javadir}/%{name}/security*.jar
%{_javadir}/%{name}/soapmonitor*.jar
%{_javadir}/%{name}/spring*.jar
%{_javadir}/%{name}/tools*.jar
%{_javadir}/%{name}/xmlbeans*.jar
%if %{with_maven}
%{_datadir}/maven2/poms/*
%endif
%{_mavendepmapfragdir}
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/*.mar.*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*

%files webapp
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/%{name}*.war

%files samples
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/samples*.jar
%{_datadir}/%{name}-%{version}/samples

%files modules
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}/modules
%{_javadir}/%{name}/modules/*.mar

%files scripts
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/%{name}*

%files codegen-eclipse-plugin
%defattr(0644,root,root,0755)
%dir %{codegenplugindir}
%{codegenplugindir}/*
%{_javadir}/%{name}/eclipse.codegen.plugin*.jar

%files service-archiver-eclipse-plugin
%defattr(0644,root,root,0755)
%dir %{sarchiverplugindir}
%{sarchiverplugindir}/*
%{_javadir}/%{name}/eclipse.service.plugin*.jar

%if %{with_maven}
%files maven2-plugins
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}/maven2
%{_javadir}/%{name}/maven2/aar-maven-plugin*.jar
%{_javadir}/%{name}/maven2/mar-maven-plugin*.jar
%{_javadir}/%{name}/maven2/wsdl2code-maven-plugin*.jar
%{_datadir}/maven2/poms/*.pom
%endif

%if %{with_maven}
%files manual
%defattr(0644,root,root,0755)
%doc target/docs/*
%endif

%changelog
* Tue Jun 26 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.2-1jpp
- Upgrade to 1.2
- Switch to (mostly) m2 build
- Add maven2-plugins subpackage
- Refloat -manual subpackage
- Make Vendor, Distribution based on macro
- Add gcj_support option
- Drop stax-utils source: not required any more

* Thu May 25 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.0-1jpp
- Upgraded to 1.0
- From RH spec: Added subpackages for the codegen and service archiver eclipse plugins
- From RH spec: Changed jar names to remove superfluous 'axis2-' at the start
- From RH spec: Added a --without groovy support.

* Tue Apr 04 2006 Ralph Apel <r.apel@r-apel.de> - 0:0.94-2jpp
- Replace j-c-httpclient3 with j-c-httpclient >= 3.0

* Mon Jan 23 2006 Deepak Bhole <dbhole@redhat.com> - 0:0.94-1jpp
- Initial build

